%{?!_icondir:%define _icondir   %{_datadir}/icons}

Name:           katapult
Version:        0.3.2.1
Release:        3%{?dist}
Summary:        Faster access to applications, bookmarks, and other items

License:        GPLv2
Group:          User Interface/Desktops
URL:            http://katapult.kde.org/

Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs3-devel, desktop-file-utils, automake, gettext

%description
Katapult is an application for KDE, designed to allow faster access to
applications, bookmarks, and other items. It is plugin-based, so it can
launch anything that is has a plugin for. Its display is driven by
plugins as well, so its appearance is completely customizable. It was
inspired by Quicksilver for OS X.

%prep
%setup -q

%build
%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor fedora \
    --add-category X-Fedora  \
    --add-category System    \
    --remove-category System \
    --delete-original        \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{buildroot}%{_datadir}/applications/kde/%{name}.desktop

%{__rm} -f %{buildroot}%{_libdir}/lib%{name}.la

%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_docdir}/HTML/en/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/services/%{name}*
%{_datadir}/servicetypes/%{name}*
%{_icondir}/hicolor/128x128/actions/checkmark.png
%{_icondir}/hicolor/128x128/actions/no.png
%{_icondir}/hicolor/128x128/apps/%{name}.png
%{_icondir}/hicolor/128x128/apps/xcalc.png
%{_icondir}/crystalsvg/128x128/actions/%{name}spellcheck.png
%{_icondir}/crystalsvg/scalable/actions/%{name}spellcheck.svgz
%{_icondir}/hicolor/??x??/apps/%{name}.png
%{_icondir}/hicolor/scalable/apps/%{name}.svgz
%{_libdir}/kde3/*
%{_libdir}/lib%{name}.*


%Changelog
* Tue Feb 12 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.2.1-3
- queued for mass rebuild for Fedora 9 - gcc43

* Thu Aug 23 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 0.3.2.1-2
- queued for mass rebuild for Fedora 8 - ppc32

* Mon Jul 02 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.2.1-1
- new upstream release

* Sun Jul 01 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.4-5
- Fast track sources

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.4-4
- fixed multiple entries on kmenu

* Sat Nov 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.4-3
- Added gettext as BR instead of intltool

* Sat Nov 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.4-2
- Added intltool as BR

* Sat Nov 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.4-1
- New upstream release

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-5
- Rebuild for FC6-devel

* Fri Jul 14 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-4
- removed useless devel package

* Tue Jun 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-3
- dropping Requires(post) and Requires(postun)
- using %%exclude for *.la

* Mon Jun 26 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-2
- fixing devel package

* Wed Jun 21 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 0.3.1.3-1
- Initial package.
